/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-07-11 14:19:03
 * @LastEditTime: 2022-07-27 12:44:25
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 意向调解员和调解组织展示
 */
import React from 'react';
import PropTypes from 'prop-types';
import { Typography } from 'antd';
import { CloseCircleFilled } from '@ant-design/icons';
import './index.less';

const WantUserTag = ({ name, value, onClose, color = 'green' }) => {
  return (
    <div className="wantUserTag">
      <div className="wantUserTag-wantUser">
        <div className={`wantUserTag-wantUser-left ${color === 'green' ? 'wantUserTag-green' : 'wantUserTag-orange'}`}>{name?.substr(0, 1)}</div>
        <div className="wantUserTag-wantUser-right">{name}</div>
        <Typography.Link className="wantUserTag-wantUser-close" onClick={() => onClose(value)}>
          <CloseCircleFilled />
        </Typography.Link>
      </div>
    </div>
  );
};

WantUserTag.propTypes = {
  name: PropTypes.string,
  onClose: PropTypes.func,
};

export default WantUserTag;
